package com.androidbegin.buttonclicktutorial;

import java.util.Date;
public class EventObjects 
{
    private int id;
    private String message;
    private Date date;
    private String timestamp;
    
    public EventObjects(String message, Date date) 
    {
        this.message = message;
        this.date = date;
    }
    
    public EventObjects(int id, String message, Date date) 
    {
        this.date = date;
        this.message = message;
        this.id = id;
    }

    public EventObjects(int id, String message, String timestamp) 
    {
        this.timestamp = timestamp;
        this.message = message;
        this.id = id;
    }

    
    public int getId()
    {
        return id;
    }
    
    public String getMessage()
    {
        return message;
    }
    
    public Date getDate()
    {
        return date;
    }
    
    
    public String getTimestamp()
    {
        return timestamp;
    }
    
}